ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

This topic contains 1 reply, has 2 voices, and was last updated by  Roman Grebenchuk 2 years, 11 months ago.

  • Creator
    Topic
  • #7682
    golriz.nourani
    golriz.nourani
    Participant

    Hi
    I get the last version of OroCRM and install it on my server but I have not the type of mailchimp in manage integrations/create integration . So I go to oro installer to install “ oro/crm-mail-chimp” but when I click on install bottom ,nothing happened
    so I run below command in CLI :

    oro:package:install oro/crm-mail-chimp

    system say that :

    oro/crm-mail-chimp requires:
    – oro/crm [installed]
    – zfr/zfr-mailchimp
    All missing packages will be installed. Continue?

    I say yes and I had below error :

    PHP Fatal error: Allowed memory size of 1073741824 bytes exhausted (tried to allocate 72 bytes) in /home/oro/public_html/vendor/composer/composer/src/Composer/DependencyResolver/RuleSet.php on line 68

    I increase memory size of php.ini to 1.5 M but it was not enough too ( total memory of my server is 2M)
    so I try to install requirement of mailchimp package by composer so I run below command :

    php composer.phar require zfr/zfr-mailchimp:2.0.5
    ./composer.json has been updated
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Nothing to install or update
    Package dflydev/markdown is abandoned, you should avoid using it. Use michelf/php-markdown instead.
    Package friendsofsymfony/rest is abandoned, you should avoid using it. No replacement was suggested.
    Writing lock file
    Generating autoload files
    Updating the “app/config/parameters.yml” file

    what must I do?

Viewing 1 replies (of 1 total)
  • Author
    Replies
  • #7689

    Hi,
    To prevent memory issues you can upgrade composer to latest versionphp composer.phar self-update
    Next steps are
    – backup DB
    – php composer.phar require oro/crm-mail-chimp:1.0.* —update-no-dev
    – app/console oro:platform:update —env prod —force
    Last command will install and integrate extension to current OroCRM installation

Viewing 1 replies (of 1 total)

You must be logged in to reply to this topic.